Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236624 - dm-mirror: Call to rh_in_sync should be allowed to block in do_reads
Summary: dm-mirror: Call to rh_in_sync should be allowed to block in do_reads
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jonathan Earl Brassow
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: 236626
TreeView+ depends on / blocked
 
Reported: 2007-04-16 20:00 UTC by Jonathan Earl Brassow
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 19:46:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Description Jonathan Earl Brassow 2007-04-16 20:00:57 UTC
When checking the sync status of a region, there are times when we must not
block.  Like when we are attempting to map I/O for the first time or in a
context that must not block.

do_reads operates in a separate kernel thread and should be allowed to block. 
[Disallowing it to do so means cluster mirroring can never read-balance, among
other things.]

Comment 1 Rob Kenna 2007-04-16 21:00:20 UTC
pm-ack for 4.6

Comment 2 Rob Kenna 2007-04-16 21:08:41 UTC
pm-ack for 5.1 (reset flag to ? waiting for 3 acks.)


Comment 3 Jonathan Earl Brassow 2007-05-08 18:30:29 UTC
assigned -> post

Comment 4 RHEL Product and Program Management 2007-05-08 18:41:52 UTC
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.

Comment 5 Don Zickus 2007-06-16 00:33:36 UTC
in 2.6.18-27.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 8 errata-xmlrpc 2007-11-07 19:46:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.